Work Package # 45020 (Closed): Content Editing Stability and Features
Story # 45434 (Closed): As a content editor I want to be able to edit normal content

Status: Closed Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-03-11 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Compare CKEditor to Aloha
Description

Since there are some features we'd like to achieve that aren't supported in Aloha and the fact that Drupal ditched Aloha after closely
working with them in favor of CKEditor (http://buytaert.net/from-aloha-to-ckeditor).

Example of CKEditor inline editing http://ckeditor.com/demo#inline

Wanted features: Cut, copy, paste, redo, undo, find, replace, bold, italic, underlined, strikethrough, sup, sub, remove format, ul/ol lists,
increase/reduce indent, text positioning (left, center, right, justify), insert links, tables, horizontal ruler, block format (h1, h2, h3, h4, h5,
h6, formatted, address, normal, article, aside, container, header, navigation, blockquote), font-family, font-size, font-color,
background-color, source mode (HTML).

Aloha
Pros
    -  Already integrated
    -  Existing link plugin
    -  Close connection to development team
Cons
    -  Not so solid user experience
    -  Missing wanted features
        -  Redo, undo, find, replace, increase/reduce indent, text positioning (left, center, right, justify), font-family, font-size, font-color,
background-color, source mode (HTML)
    -  Unable to re-use for textarea (RTE)

CKEditor
Pros
    -  Supports all wanted features
    -  Same editor for inline editing and textarea (RTE)
    -  Already working with create.js (Implemented by Bergie)
    -  Can be used instead of both Aloha and Hallo
        -  Simple editing options for headlines
        -  Advanced editing options for text
    -  More solid user experience
    -  Larger community / more developers / more extensions
    -  Better default design
Cons
    -  Not already implemented
    -  Missing link plugin

History
#1 - 2013-03-11 16:40 - Aske Ertmann
- Parent task set to #45434

#2 - 2013-09-27 14:10 - Thomas Allmer

while your are add it you could also check out the inline editing feature from TinyMCE
http://www.tinymce.com/tryit/inline.php
small Presentation of the latest changes:
http://www.tinymce.com/presentation/index.html#/

has probably most of the Pros from CKEditor with an even larger community.

Definitely worth a look!!!

#3 - 2014-07-13 12:45 - Aske Ertmann
- Status changed from New to Closed
- Target version set to 1.0 beta 1
- Remaining (hours) set to 0.0

For now we're sticking with Aloha.

#4 - 2014-11-02 18:21 - Aske Ertmann
- Estimated time set to 0.00
